<template>
    <v-container fluid>
      <v-data-iterator
        :items="items"
        :items-per-page.sync="itemsPerPage"
        :page.sync="page"
        hide-default-footer
      >
      <template v-slot:header>
        <v-toolbar
          class="mb-2"
          color="#7C9473"
          width="410px"
          height="75px"
         dark
          flat
        >
        <v-spacer></v-spacer>
        <v-icon size="40">mdi-beer</v-icon>
          <h1 >Sales</h1>
          <v-spacer></v-spacer>
        </v-toolbar>
      
        <br/>
      </template>
        
       
  
        <template v-slot:default="props">
          <v-row>
            <v-col
              v-for="item in props.items"
              :key="item.name"
             
            >
             
  
                
  
                <v-list dense color="#FEF5ED">
                  <v-list-item
                    v-for="(key, index) in filteredKeys"
                    :key="index"
                  >
                    <v-list-item-content :class="{ 'blue--text': sortBy === key }">
                      {{ key }}:
                    </v-list-item-content>
                    <v-list-item-content
                      class="align-end"
                      :class="{ 'blue--text': sortBy === key }"
                    >
                      {{ item[key.toLowerCase()] }}
                    </v-list-item-content>
                  </v-list-item>
                </v-list>
              
            </v-col>
          </v-row>
        </template>
  
        
  
           
  
          
      </v-data-iterator>
    </v-container>
  </template>

<script>
export default {
  data() {
    return {
      
      sortBy: "name",
      keys: [ "Total"],
      items: [
        {
          
          total: 0,
        },
      ],
    };
  },
  computed: {
    numberOfPages() {
      return Math.ceil(this.items.length / this.itemsPerPage);
    },
    filteredKeys() {
      return this.keys.filter((key) => key !== "Name");
    },
  },
  
};
</script>
